aboutsummaryrefslogtreecommitdiff
path: root/libraries/libssh/libssh.SlackBuild
diff options
context:
space:
mode:
authorLarry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:31:55 +0200
committerErik Hanson <erik@slackbuilds.org>2010-05-13 00:31:55 +0200
commitd9b20548fb9c23354bcda61c27bccec44ade6b94 (patch)
treed144d7a01d965249aecf7a97c2578ce35fd68bbd /libraries/libssh/libssh.SlackBuild
parent7d93f3f9400f1b78653096f99c1193531b2d7ebe (diff)
downloadslackbuilds-d9b20548fb9c23354bcda61c27bccec44ade6b94.tar.xz
libraries/libssh: Updated for version 0.4.1
Diffstat (limited to 'libraries/libssh/libssh.SlackBuild')
-rw-r--r--libraries/libssh/libssh.SlackBuild53
1 files changed, 30 insertions, 23 deletions
diff --git a/libraries/libssh/libssh.SlackBuild b/libraries/libssh/libssh.SlackBuild
index 3ad437c5a938..7855956498c8 100644
--- a/libraries/libssh/libssh.SlackBuild
+++ b/libraries/libssh/libssh.SlackBuild
@@ -5,7 +5,7 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=libssh
-VERSION=${VERSION:-0.2}
+VERSION=${VERSION:-0.4.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -29,7 +32,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tgz
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -38,36 +41,40 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --enable-ssh1 \
- --disable-static \
- --build=$ARCH-slackware-linux
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DWITH_GCRYPT=1 \
+ -DWITH_SSH1=1 \
+ -DWITH_PCAP=1 \
+ -DWITH_SFTP=1 \
+ -DWITH_SERVER=1 \
+ -DWITH_STATIC_LIB=0 \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release ..
-make
-make install DESTDIR=$PKG
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd -
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS CHANGELOG COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BSD ChangeLog COPYING INSTALL README doc/{API*,libssh*.txt} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}